**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/26.1/documents/document-renditions/add-single-document-rendition

# Add Single Document Rendition

<Aside>
If you need to add more than one document rendition, it is best practice to use the [bulk API](/clinical/vault-api/api-reference/26.1/documents/document-renditions/add-multiple-document-renditions).
</Aside>

 

<Endpoint path="/api/{version}/objects/documents/{doc_id}/renditions/{rendition_type}" method="POST" />

## Headers

| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` or `multipart/form-data` |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{rendition_type}` | The document rendition type. |
</FieldTable>

#### File Upload

To upload the file, use the multi-part attachment with the file component `"file={file_name}"`. The maximum allowed file size is 4GB.

## Request

<CodeExample title="">
```bash
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "file=CholeCap-Document.pdf" \
https://myvault.veevavault.com/api/v15.0/objects/documents/534/renditions/imported_rendition__c
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS"
}
```
</CodeExample>

## Response Details

On `SUCCESS`, Vault associates the uploaded file with the given rendition type for the specified document.

---

**Previous:** [Add Multiple Document Renditions](/clinical/vault-api/api-reference/26.1/documents/document-renditions/add-multiple-document-renditions)  
**Next:** [Upload Document Version Rendition](/clinical/vault-api/api-reference/26.1/documents/document-renditions/upload-document-version-rendition)